#! /bin/sh

BROKER_ALLUP_PATH="${top_builddir}/allup/src/broker_allup"
BROKER_ALLUP="$BROKER_ALLUP_PATH -ORBEndpoint iiop://localhost:0"
CBHEY=${top_builddir}/cbhey/src/cbhey

$BROKER_ALLUP -h > usage.out 2>&1

##

run_test $BROKER_ALLUP -V

check_output "Unable to get version?" <<EOF
${PACKAGE_VERSION}
EOF

##

run_test $BROKER_ALLUP -o

grep_output_for 'option requires an argument' "-o works without argument?"

##

run_test $BROKER_ALLUP -p

grep_output_for 'option requires an argument' "-p works without argument?"

##

$BROKER_ALLUP -f -p allup.pid > allup.out 2>&1

trap 'kill `cat allup.pid` > /dev/null 2>&1' EXIT

##

run_test $CBHEY -l

grep_output_for "IDL:edu/utah/pces/Allup:1.0" \
    "Unable to list supported interfaces?"

##

run_test $CBHEY -l

grep_output_for "IDL:edu/utah/pces/FactoryLibrary:1.0" \
    "Unable to list supported interfaces (2)?"

##

run_test $CBHEY file://allup.ior list

check_output "Unable to list properties?" <<EOF
library
libraries
EOF

##

run_test $CBHEY file://allup.ior list libraries

check_output "Unable to list libraries?" <<EOF
EOF

##

run_test $CBHEY file://allup.ior create library with name nonexistent

check_output "Able to create library with bogus name?" <<EOF
Error: No such library 'nonexistent': nonexistent.so: cannot open shared object file: No such file or directory
EOF

##

run_test env CBHEY_PATH=.libs $CBHEY -l

grep_output_for "FLO_QUERY"

##

$CBHEY file://allup.ior create library with name ${top_builddir}/allup/test/.libs/libctest > ct.ior

$CBHEY file://ct.ior list > /dev/null

if grep "FLO_HEY" allup.out > /dev/null 2>&1; then
    :
else
    echo "Unable to talk to libctest?"
    exit 1
fi

##

run_test $CBHEY file://allup.ior shutdown

check_output "Unable to shutdown allup?" <<EOF
ok
EOF

##
