/*
 * RealTimeTaskDelegateImpl.hh
 *
 * Copyright (c) 2003 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

/**
 * @file RealTimeTaskDelegateImpl.hh
 *
 * Header file for the RealTimeTaskDelegateImpl class.
 */

#ifndef _real_time_task_delegate_hh
#define _real_time_task_delegate_hh

#include "DelegateS.h"
#include "DelegateMixin.hh"

/**
 * Base class for delegates of the Broker::RealTimeTask class.
 */
class RealTimeTaskDelegateImpl :
    public virtual DelegateMixin<Broker::RealTimeTask, Broker::RealTimeTask_var>,
    public virtual POA_BrokerDelegates::RealTimeTaskDelegate
{

public:

    /**
     * Construct a RealTimeTaskDelegateImpl.
     */
    RealTimeTaskDelegateImpl(void)
    {
    };

    /**
     * Deconstruct a RealTimeTaskDelegateImpl.
     */
    virtual ~RealTimeTaskDelegateImpl(void)
    {
    };

    /* XXX I'm going to hell for this... */
#include "TaskDelegateMixin.hh"

#include "RealTimeTaskDelegateMixin.hh"

};

#endif
