/*
 * time_util_good.c
 *
 * Copyright (c) 2003 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

/**
 * @file time_util_good.c
 *
 * Test function in time_util.h with good inputs.
 */

#include "config.h"

#ifndef DEBUG
#define DEBUG
#endif

#include <sys/types.h>
#include <sys/time.h>

#include <assert.h>
#include <assert_pp.h>

#include "time_util.h"

int main(int argc, char *argv[])
{
    unsigned long long us;
    
    assert(string_to_microsec(&us, "10"));
    assert(us == 10);

    assert(string_to_microsec(&us, "10us"));
    assert(us == 10);

    assert(string_to_microsec(&us, "10ms"));
    assert(us == 10000);

    assert(string_to_microsec(&us, "10s"));
    assert(us == 10000000);

    assert(string_to_microsec(&us, "10m"));
    assert(us == 600000000);

    return( EXIT_SUCCESS );
}
